<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::RotationMatrix Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_rotation_matrix.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classframework_1_1core_1_1_rotation_matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::RotationMatrix Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a rotation matrix.  
 <a href="classframework_1_1core_1_1_rotation_matrix.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_rotation_matrix_8h_source.html">RotationMatrix.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a035c929a5b443613e15dcc4c87a1fb4a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#a035c929a5b443613e15dcc4c87a1fb4a">RotationMatrix</a> ()</td></tr>
<tr class="memdesc:a035c929a5b443613e15dcc4c87a1fb4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a035c929a5b443613e15dcc4c87a1fb4a">More...</a><br /></td></tr>
<tr class="separator:a035c929a5b443613e15dcc4c87a1fb4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af565fa989556c0ad6bdf9a8b379763a4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#af565fa989556c0ad6bdf9a8b379763a4">~RotationMatrix</a> ()</td></tr>
<tr class="memdesc:af565fa989556c0ad6bdf9a8b379763a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#af565fa989556c0ad6bdf9a8b379763a4">More...</a><br /></td></tr>
<tr class="separator:af565fa989556c0ad6bdf9a8b379763a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05fc97d60984ce9a851b851d2fbc8b9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#a05fc97d60984ce9a851b851d2fbc8b9a">ToEuler</a> (<a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a> &amp;euler) const </td></tr>
<tr class="memdesc:a05fc97d60984ce9a851b851d2fbc8b9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to euler angles.  <a href="#a05fc97d60984ce9a851b851d2fbc8b9a">More...</a><br /></td></tr>
<tr class="separator:a05fc97d60984ce9a851b851d2fbc8b9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46901a965b7efd5d73d648d6449ce032"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#a46901a965b7efd5d73d648d6449ce032">ToEuler</a> (void) const </td></tr>
<tr class="memdesc:a46901a965b7efd5d73d648d6449ce032"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to euler angles.  <a href="#a46901a965b7efd5d73d648d6449ce032">More...</a><br /></td></tr>
<tr class="separator:a46901a965b7efd5d73d648d6449ce032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cba7456a47a9c22cec9f1dc8377f9f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cba7456a47a9c22cec9f1dc8377f9f7"></a>
float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (size_t row, size_t col)</td></tr>
<tr class="separator:a2cba7456a47a9c22cec9f1dc8377f9f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab77701dc790f76311163b1fe5d6234dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab77701dc790f76311163b1fe5d6234dd"></a>
const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (size_t row, size_t col) const </td></tr>
<tr class="separator:ab77701dc790f76311163b1fe5d6234dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2f9ada41552ac7eba5ba198d132bae30"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#a2f9ada41552ac7eba5ba198d132bae30">m</a> [3][3]</td></tr>
<tr class="memdesc:a2f9ada41552ac7eba5ba198d132bae30"><td class="mdescLeft">&#160;</td><td class="mdescRight">matrix  <a href="#a2f9ada41552ac7eba5ba198d132bae30">More...</a><br /></td></tr>
<tr class="separator:a2f9ada41552ac7eba5ba198d132bae30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a rotation matrix. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a035c929a5b443613e15dcc4c87a1fb4a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::RotationMatrix::RotationMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an identity rotation matrix </p>

</div>
</div>
<a class="anchor" id="af565fa989556c0ad6bdf9a8b379763a4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::RotationMatrix::~RotationMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a05fc97d60984ce9a851b851d2fbc8b9a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::RotationMatrix::ToEuler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a> &amp;&#160;</td>
          <td class="paramname"><em>euler</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to euler angles. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">euler</td><td>output euler angles </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a46901a965b7efd5d73d648d6449ce032"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a> framework::core::RotationMatrix::ToEuler </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to euler angles. </p>
<dl class="section return"><dt>Returns</dt><dd>euler angles </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a2f9ada41552ac7eba5ba198d132bae30"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::RotationMatrix::m[3][3]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>matrix </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html">RotationMatrix</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
